# 68. Mutation : actualiser les statistiques de « VectorAnalysisMap »

Actualise les statistiques pour la carte des Zones. Peut être utilisé lorsque la Fusion/Séparation des Zones est effectuée dans l'interface.

{% hint style="info" %}
Vérifier <https://geopard.tech/blog/merge-and-split-zones/> article.&#x20;
{% endhint %}

Mutation pour actualiser les statistiques sans les enregistrer dans la base de données. La réponse contient les statistiques recalculées au format JSON.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/68.-mutation-actualiser-les-statistiques-de-vectoranalysismap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
